SDL_GetScancodeFromKey(3)

NAME
SDL_GetScancodeFromKey - Get the scancode corresponding to the given key code according to the current keyboard layout.

HEADER FILE
Defined in SDL3/SDL_keyboard.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_Scancode SDL_GetScancodeFromKey(SDL_Keycode key);

DESCRIPTION
See SDL_Scancode
 for details.

FUNCTION PARAMETERS

key the desired SDL_Keycode
     to query

RETURN VALUE
Returns the SDL_Scancode
 that corresponds to the given SDL_Keycode .

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetKeyFromScancode(3), SDL_GetScancodeName(3)